Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		rasqal
Version:	0.9.16
Release:	1
License:	GNU/GPL 
URL:		http://librdf.org/rasqal/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} handles Resource Description Framework (RDF) query syntaxes
Requires: 	raptor	
BuildRequires:  glibc-devel
BuildRequires:	curl-devel 
BuildRequires:  libxml2-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libidn-devel
BuildRequires:  libxslt-devel
BuildRequires:  raptor-devel
# Require for rpm lzma compression
Requires:        rpm >= 4.4.2.3-1


%description
Rasqal is a free software / Open Source C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings. The supported query languages are SPARQL and RDQL.
Rasqal was designed to work closely with the Redland RDF library but is entirely separate.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --enable-release --disable-dependency-tracking --mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/roqet
%_libdir/*.so.*
%_mandir/*
%_datadir/gtk-doc

%files devel
%defattr(-,root,root)
%_bindir/rasqal-config
%_libdir/pkgconfig/
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_includedir/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.16-1
- version update
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.15-1
- Version update
* Tue May 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.9.14-1
- Version update
* Tue May 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.12-1
- Initial Release
